Bug 1125929 - Session expired redirects don't always redirect in browser
Summary: Session expired redirects don't always redirect in browser
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker 1139277
TreeView+ depends on / blocked
 
Reported: 2014-08-01 11:14 UTC by Shannon Hughes
Modified: 2019-04-01 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 20:33:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17773 None None None 2016-12-19 21:01:44 UTC

Description Shannon Hughes 2014-08-01 11:14:42 UTC
Description of problem:

Noticed this in a few areas of the site but seems to occur when you have a ajax type action. For example, browse to the Sync Management page. Let the session expire for the user then click the sync now button. The app knows that user session has expired and appears to try and redirect but visually nothing happens in webui. snippet of logs: 


Processing by Katello::SyncManagementController#sync as JS
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"N0NfYftorark47ETfzu1Ve+B6+uoGZbIQvs/crd47yM=", "sync_status_url"=>"", "repoids"=>["2"], "commit"=>"Synchronize Now"}
Session for Admin User is expired.
Redirected to https://sat6.katello.lan/users/login
Filter chain halted as :session_expiry rendered or redirected
Completed 302 Found in 22ms (ActiveRecord: 13.7ms)
Processing by Katello::SyncManagementController#sync as JS
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"N0NfYftorark47ETfzu1Ve+B6+uoGZbIQvs/crd47yM=", "sync_status_url"=>"", "repoids"=>["2"]}
WARNING: Can't verify CSRF token authenticity
Redirected to https://sat6.katello.lan/users/login
Filter chain halted as :require_login rendered or redirected
Completed 302 Found in 3ms (ActiveRecord: 0.5ms)
Processing by UsersController#login as JS
Current user is set, but not expected. Clearing
  Rendered users/login.html.erb within layouts/login (2.8ms)
  Rendered layouts/base.html.erb (1.0ms)
Completed 200 OK in 11ms (Views: 6.9ms | ActiveRecord: 0.4ms)
Processing by UsersController#login as JS
  Rendered users/login.html.erb within layouts/login (1.7ms)
  Rendered layouts/base.html.erb (0.9ms)
Completed 200 OK in 4ms (Views: 3.7ms | ActiveRecord: 0.0ms)
Connecting to database specified by database.yml

Comment 1 RHEL Product and Program Management 2014-08-01 11:43:48 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 5 Walden Raines 2016-12-15 15:14:48 UTC
Are you able to reproduce this on any pages other than the sync management page?

Comment 6 Walden Raines 2016-12-19 20:11:59 UTC
Created redmine issue http://projects.theforeman.org/issues/17773 from this bug

Comment 7 Shannon Hughes 2017-01-05 19:02:24 UTC
testing my memory now but if I recall correctly there were a few pages that had this behavior but they were all pages that had active ajax calls running

Comment 8 Bryan Kearney 2017-08-01 20:33:46 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.